<?php
/**
 * 2018-2022 MXB Informatica.
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License (AFL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/afl-3.0.php
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to info@mxbinformatica.it so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please refer to http://www.prestashop.com for more information.
 *
 *  @author    MXB Informatica <info@mxbinformatica.it>
 *  @copyright 2013-2022 MXB Informatica
 *  @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
 */

require_once(dirname(__FILE__).'../../../config/config.inc.php');
require_once(dirname(__FILE__).'../../../init.php');
include_once('customName.php');
$customName = Mxb_getCustomName();
include_once('mxb_featuredproducts_' . $customName . '.php');
$module_class = 'Mxb_FeaturedProducts_' . ucfirst($customName);
$mymodule = new $module_class(); 

$enabled = (bool) Configuration::get($mymodule->HOME_FEATURED_ENABLE_TAG);
    
//Die ("enabled=" . $enabled . ", actionnnnnnn nnnnnnnnnnn=" . Tools::getValue('action'));
if (!$enabled)
    Die("disabled");
//die ("ciao " . Tools::getValue('action'));
 
switch (Tools::getValue('action')) {
    case 'getProducts' :
         //Die("getProducts"); 
        $params = $mymodule->getConfigFieldsValues();
        
        // say to getProducts to not consider product category, if set
        $params[$mymodule->HOME_FEATURED_PRODUCT_CATEGORY] = false;
        
        if (Tools::isSubmit('products'))
            $params[$mymodule->HOME_FEATURED_NBR] = (int) Tools::getValue('products');
        if (Tools::isSubmit('category'))
            $params[$mymodule->HOME_FEATURED_CAT] = (int) Tools::getValue('category');
        if (Tools::isSubmit('random'))
            $params[$mymodule->HOME_FEATURED_RANDOMIZE] = (bool) Tools::getValue('random');
        if (Tools::isSubmit('slide'))
            $params[$mymodule->HOME_FEATURED_SLIDE] = (bool) Tools::getValue('slide');
        if (Tools::isSubmit('best-sales'))
            $params[$mymodule->HOME_FEATURED_BEST_SALES] = (bool) Tools::getValue('best-sales');
        if (Tools::isSubmit('class'))
            $params[$mymodule->HOME_FEATURED_CLASS] = (bool) Tools::getValue('class');
        if (Tools::isSubmit('brand'))
            $params[$mymodule->HOME_FEATURED_BRAND] = (int) Tools::getValue('brand');

        // 05-2023: add free argouments (paragraphs) into tags
        // if (Tools::isSubmit('type'))
        //     $params[$mymodule->HOME_FEATURED_TYPE] = (int) Tools::getValue('type');


        if (Tools::isSubmit('footer-link')) {
            $params[$mymodule->HOME_FEATURED_FOOTER_LINK] = (bool) Tools::getValue('footer-link');
        }
        // Die("before title loop");
        // if (Tools::isSubmit('title')) { 
        $title = (Tools::isSubmit('title') ? Tools::getValue('title') : null);
        $filter_text = (Tools::isSubmit('filter-text') ? Tools::getValue('filter-text') : null);
        $languages = Language::getLanguages(false);
        foreach ($languages as $lang) {
            if ($title !== null) {
                $params[$mymodule->HOME_FEATURED_DESC][$lang['id_lang']] = $title;
            }
            if ($filter_text !== null) {
                $params[$mymodule->HOME_FEATURED_SEARCH_STRING][$lang['id_lang']] = $filter_text;
            }
        } 
           
          
         
        //Die("before renderWidget");
        
        $html = $mymodule->renderWidgetAjax("displayCms", $params);
        die( $html );

        /*

        $products = $mymodule->getProducts(    Tools::getValue('products'),
                                Tools::getValue('category'),
                                Tools::getValue('random') );
        */
        //die( Tools::jsonEncode( Tools::getValue('title')));
    break;
  default:
    exit;
}

//$mymodule = new Mxb_FeaturedProducts_One();
//$mymodule->somefunctionfrommodule();


/*
public function displayAjax() {
  $return = array(
    'hasError' => true,
    'errors' => 'Ceci est le message'
  );
  die(Tools::jsonEncode($return));
}
*/



exit;
